# Generated from gooddata-2.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gooddata

Name: rubygem-%{gem_name}
Version: 2.3.1
Release: 1%{?dist}
Summary: A convenient Ruby wrapper around the GoodData RESTful API
License: BSD-3-Clause
URL: http://github.com/gooddata/gooddata-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(license_finder) >= 2.0
# BuildRequires: rubygem(license_finder) < 3
# BuildRequires: rubygem(redcarpet) >= 3.1
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.12.0
# BuildRequires: rubygem(rspec) < 3.13
# BuildRequires: rubygem(rspec-expectations) >= 3.12
# BuildRequires: rubygem(rspec-expectations) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.6.0
# BuildRequires: rubygem(rspec_junit_formatter) < 0.7
# BuildRequires: rubygem(rubocop) >= 1.28
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(webmock) >= 2.3.1
# BuildRequires: rubygem(webmock) < 2.4
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(yard-rspec) >= 0.1
# BuildRequires: rubygem(yard-rspec) < 1
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug) >= 3.6
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(pronto) >= 0.10
# BuildRequires: rubygem(pronto-rubocop) >= 0.9
# BuildRequires: rubygem(pronto-reek) >= 0.9
# BuildRequires: rubygem(vcr) = 5.0.0
# BuildRequires: rubygem(hashdiff) >= 0.4
# BuildRequires: rubygem(hashdiff) < 1
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Use the GoodData::Client class to integrate GoodData into your own application
or use the CLI to work with GoodData directly from the command line.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/gitflow-init.sh
%{_bindir}/gooddata
%{_bindir}/help.sh
%{_bindir}/provision.sh
%{_bindir}/release.sh
%{_bindir}/rollout.sh
%{_bindir}/run_brick.rb
%{_bindir}/run_smoke_tests.sh
%{_bindir}/test_projects_cleanup.rb
%{_bindir}/user_filters.sh
%{_bindir}/users.sh
%{gem_instdir}/.editorconfig
%{gem_instdir}/.flayignore
%{gem_instdir}/.gdc-ii-config-chart.yaml
%{gem_instdir}/.gdc-ii-config.yaml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.pronto.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.sonar.settings
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CLI.md
%{gem_instdir}/Dockerfile
%{gem_instdir}/Dockerfile.jruby
%{gem_instdir}/Dockerfile.ruby
%{gem_instdir}/Guardfile
%{gem_instdir}/Jenkinsfile
%{gem_instdir}/Jenkinsfile-chart
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.rb
%{gem_instdir}/RELEASING.md
%{gem_instdir}/SDK_VERSION
%{gem_instdir}/TODO.md
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/ci.rake
%{gem_instdir}/ci
%{gem_instdir}/data
%{gem_instdir}/dependency_decisions.yml
%{gem_instdir}/dev-gooddata-sso.pub.encrypted
%{gem_instdir}/gdc_fossa_lcm.yaml
%{gem_instdir}/gdc_fossa_ruby_sdk.yaml
%{gem_instdir}/gooddata
%{gem_instdir}/k8s
%{gem_instdir}/lcm.rake
%{gem_libdir}
%{gem_instdir}/rubydev_public.gpg.encrypted
%{gem_instdir}/rubydev_secret_keys.gpg.encrypted
%{gem_instdir}/sonar-project.properties
%{gem_instdir}/tmp
%{gem_instdir}/yard-server.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/authors.sh
%doc %{gem_instdir}/docker-compose.lcm.yml
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/gooddata.gemspec

%changelog
* Thu Mar 21 2024 mockbuilder - 2.3.1-1
- Initial package
